### Method

# EDataServer SourceWebDAVNotes set_default_ext

since: 3.44

#### Declaration [src]

    void
    e_source_webdav_notes_set_default_ext (
      ESourceWebDAVNotes* extension,
      const gchar* default_ext
    )

#### Description [src]

Sets the default file extension for new notes.

The internal copy of `default_ext` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.44

Sets property | `EDataServer.SourceWebDAVNotes:default-ext`

#### Parameters

`default_ext`

  Type: `const gchar*`

  A default file extension, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.